<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/core/Timer.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_3d69f64eaf81436fe2b22361382717e5.html">core</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">Timer.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="Timer_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#include &lt;SFML/System/Clock.hpp&gt;</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#include &lt;<a class="code" href="GameEngine_8hpp.html">core/GameEngine.hpp</a>&gt;</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>{</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="classgg_1_1Timer.html">    6</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1Timer.html">Timer</a></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>{</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="classgg_1_1Timer.html#a753993b992ded89547675e119b19659c">   10</a></span>    <a class="code hl_function" href="classgg_1_1Timer.html#a753993b992ded89547675e119b19659c">Timer</a>();</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="classgg_1_1Timer.html#a5f426934501bb08f99adccbc15b5d8ac">   11</a></span>    <a class="code hl_function" href="classgg_1_1Timer.html#a5f426934501bb08f99adccbc15b5d8ac">~Timer</a>();</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="classgg_1_1Timer.html#acab83f103c184b9cd7c557e952d94c4a">   13</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Timer.html#acab83f103c184b9cd7c557e952d94c4a">Update</a>();</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <span class="keywordtype">unsigned</span> mCurrentTimeInSeconds;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    sf::Clock mClock;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>};</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>} <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aGameEngine_8hpp_html"><div class="ttname"><a href="GameEngine_8hpp.html">GameEngine.hpp</a></div></div>
<div class="ttc" id="aclassgg_1_1Timer_html"><div class="ttname"><a href="classgg_1_1Timer.html">gg::Timer</a></div><div class="ttdef"><b>Definition:</b> Timer.hpp:7</div></div>
<div class="ttc" id="aclassgg_1_1Timer_html_a5f426934501bb08f99adccbc15b5d8ac"><div class="ttname"><a href="classgg_1_1Timer.html#a5f426934501bb08f99adccbc15b5d8ac">gg::Timer::~Timer</a></div><div class="ttdeci">~Timer()</div></div>
<div class="ttc" id="aclassgg_1_1Timer_html_a753993b992ded89547675e119b19659c"><div class="ttname"><a href="classgg_1_1Timer.html#a753993b992ded89547675e119b19659c">gg::Timer::Timer</a></div><div class="ttdeci">Timer()</div></div>
<div class="ttc" id="aclassgg_1_1Timer_html_acab83f103c184b9cd7c557e952d94c4a"><div class="ttname"><a href="classgg_1_1Timer.html#acab83f103c184b9cd7c557e952d94c4a">gg::Timer::Update</a></div><div class="ttdeci">void Update()</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
